--- old/usr/src/uts/sun4v/cpu/generic_copy.s	Fri Feb 28 06:16:00 2020
+++ new/usr/src/uts/sun4v/cpu/generic_copy.s	Fri Feb 28 06:16:00 2020
@@ -35,9 +35,7 @@
 #include <sys/fsr.h>
 #include <sys/privregs.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 
 /*
@@ -60,15 +58,6 @@
 
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kcopy(const void *from, void *to, size_t count)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".text"
 	.align	4
 
@@ -97,21 +86,12 @@
 	restore	%g1, 0, %o0
 
 	SET_SIZE(kcopy)
-#endif	/* lint */
 
 
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-bcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bcopy)
 
 	save	%sp, -SA(MINFRAME), %sp
@@ -375,21 +355,10 @@
 	andn	%i2, %o0, %i3		! return size of aligned bytes
 	SET_SIZE(bcopy)
 
-#endif	/* lint */
-
 /*
  * Block copy with possibly overlapped operands.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-ovbcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(ovbcopy)
 	tst	%o2			! check count
 	bgu,a	%ncc, 1f		! nothing to do or bad arguments
@@ -432,8 +401,6 @@
 	nop
 	SET_SIZE(ovbcopy)
 
-#endif	/* lint */
-
 /*
  * hwblkpagecopy()
  *
@@ -441,12 +408,6 @@
  * has already disabled kernel preemption and has checked
  * use_hw_bcopy.
  */
-#ifdef lint
-/*ARGSUSED*/
-void
-hwblkpagecopy(const void *src, void *dst)
-{ }
-#else /* lint */
 	ENTRY(hwblkpagecopy)
 	save	%sp, -SA(MINFRAME), %sp
 
@@ -509,7 +470,6 @@
 	ret
 	restore	%g0, 0, %o0
 	SET_SIZE(hwblkpagecopy)
-#endif	/* lint */
 
 
 /*
@@ -579,15 +539,6 @@
  * Copy kernel data to user space (copyout/xcopyout/xcopyout_little).
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * We save the arguments in the following registers in case of a fault:
  * 	kaddr - %g2
@@ -821,18 +772,7 @@
 	mov	-1, %o0
 	SET_SIZE(copyout)
 
-#endif	/* lint */
 
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout)
 	sethi	%hi(.xcopyout_err), REAL_LOFAULT
 	b	.do_copyout
@@ -849,17 +789,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyout)
 
-#endif	/* lint */
-	
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout_little(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -887,21 +816,10 @@
 	mov	%g0, %o0		! return (0)
 	SET_SIZE(xcopyout_little)
 
-#endif	/* lint */
-
 /*
  * Copy user data to kernel space (copyin/xcopyin/xcopyin_little)
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyin)
 	sethi	%hi(.copyin_err), REAL_LOFAULT
 	or	REAL_LOFAULT, %lo(.copyin_err), REAL_LOFAULT
@@ -1091,17 +1009,6 @@
 	mov	-1, %o0
 	SET_SIZE(copyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin)
 	sethi	%hi(.xcopyin_err), REAL_LOFAULT
 	b	.do_copyin
@@ -1118,17 +1025,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin_little(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -1162,22 +1058,12 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin_little)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-copyin_noerr(const void *ufrom, void *kto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyin_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyin
@@ -1187,22 +1073,11 @@
 	  nop
 	SET_SIZE(copyin_noerr)
 
-#endif /* lint */
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyout_noerr(const void *kfrom, void *uto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyout_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyout
@@ -1209,15 +1084,6 @@
 	  or	REAL_LOFAULT, %lo(.copyio_noerr), REAL_LOFAULT
 	SET_SIZE(copyout_noerr)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int use_hw_bcopy = 1;
-int use_hw_bzero = 1;
-
-#else /* !lint */
-
 	.align	4
 	DGDEF(use_hw_bcopy)
 	.word	1
@@ -1226,7 +1092,6 @@
 
 	.align	64
 	.section ".text"
-#endif /* !lint */
 
 
 /*
@@ -1237,14 +1102,6 @@
  * Caller is responsible for ensuring use_hw_bzero is true and that
  * kpreempt_disable() has been called.
  */
-#ifdef lint
-/*ARGSUSED*/
-int
-hwblkclr(void *addr, size_t len)
-{ 
-	return(0);
-}
-#else /* lint */
 	! %i0 - start address
 	! %i1 - length of region (multiple of 64)
 
@@ -1259,16 +1116,7 @@
 	restore	%g0, 1, %o0	! return (1) - did not use block operations
 
 	SET_SIZE(hwblkclr)
-#endif	/* lint */
 
-#ifdef	lint
-/* Copy 32 bytes of data from src to dst using physical addresses */
-/*ARGSUSED*/
-void
-hw_pa_bcopy32(uint64_t src, uint64_t dst)
-{}
-#else	/*!lint */
-
 	/*
 	 * Copy 32 bytes of data from src (%o0) to dst (%o1)
 	 * using physical addresses.
@@ -1297,7 +1145,6 @@
 	retl
 	  wrpr    %g0, %g1, %pstate
 	SET_SIZE(hw_pa_bcopy32)
-#endif /* lint */
 
 /*
  * Zero a block of storage.
@@ -1306,20 +1153,6 @@
  */
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kzero(void *addr, size_t count)
-{ return(0); }
-
-/* ARGSUSED */
-void
-uzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(uzero)
 	!
 	! Set a new lo_fault handler only if we came in with one
@@ -1392,21 +1225,10 @@
 	SET_SIZE(kzero)
 	SET_SIZE(uzero)
 
-#endif	/* lint */
-
 /*
  * Zero a block of storage.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-bzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bzero)
 	wr	%g0, ASI_P, %asi
 
@@ -1596,4 +1418,3 @@
 	clr	%o0			! return (0)
 
 	SET_SIZE(bzero)
-#endif	/* lint */
